# Decrease promotion limit for specified user

Decreases the remaining number of times the specified user can use a promotion within the limit applied.

User limit API allows you to limit the number of times users can use a promotion. For configuring the user limit itself, go to the Admin section of the desired promotion type:
* Discount Promotions
* Bonus Promotions

Endpoint: DELETE /v2/project/{project_id}/admin/user/limit/promotion/id/{promotion_id}
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com//projects/.
    Example: 44056

  - `promotion_id` (integer, required)
    Promotion ID. Unique promotion identifier within the project.
    Example: 111425

## Request fields (application/json):

  - `user` (object, required)

  - `user.user_external_id` (string, required)
    User external ID.

  - `available` (integer, required)
    Remaining number of items or promotion uses available to the user within the limit applied.

## Response 200 fields (application/json):

  - `per_user` (object)

  - `per_user.total` (integer)
    The maximum number of times a user can use a promotion.
    Example: 10

  - `per_user.available` (integer)
    The remaining number of times a user can use a promotion.
    Example: 9

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"

## Response 404 fields (application/json):

  - `statusCode` (integer)

  - `errorCode` (integer)

  - `errorMessage` (string)

  - `transactionId` (string)

## Response 422 fields (application/json):

  - `statusCode` (integer)

  - `errorCode` (integer)

  - `errorMessage` (string)

  - `errorMessageExtended` (array)

  - `transactionId` (string)


